use leptos::prelude::*;
use web_sys::MouseEvent;

#[component]
pub fn Button(#[prop(into)] text: String, onclick: impl Fn(MouseEvent) + 'static) -> impl IntoView {
    view! {
        <button
            on:click=onclick
            type="button"
            class="text-black bg-orange-300 hover:bg-orange-400 focus:ring-4 focus:ring-orange-500 font-medium rounded-lg text-sm px-5 py-2.5 me-2 mb-2 focus:outline-none"
        >
            {text}
        </button>
    }
}
